'use strict';

var path = require('path');
var pluginutils = require('@rollup/pluginutils');

var index = (options = {}) => {
  options = Object.assign({
    jsxCompatPath: path.resolve(__dirname, "../src/vue-jsx-compat.js"),
    jsxFactory: "vueJsxCompat"
  }, options);
  const filter = pluginutils.createFilter(options.include, options.exclude);
  return {
    name: "vueJsx",
    transform(code, id) {
      var _a;
      if (!filter(id))
        return;
      if (id.endsWith("x")) {
        code += `
import { ${options.jsxFactory} } from '${(_a = options.jsxCompatPath) == null ? void 0 : _a.replace(/\\/g, "/")}'`;
      }
      return code;
    }
  };
};

module.exports = index;
